%define oname   cancan

Name:       ruby-%{oname}
Version:    1.6.8
Release:    %mkrel 8
Summary:    Simple authorization solution for Rails
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/ryanb/cancan
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Simple authorization solution for Rails which is completely decoupled from
the user's roles. All permissions are stored in a single location for
convenience.

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.6.8-8.mga4
+ Revision: 561784
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 1.6.8-7.mga4
+ Revision: 561070
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.6.8-6.mga4
+ Revision: 535308
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.6.8-5.mga4
+ Revision: 481903
- Rebuild for Ruby 2

* Mon Sep 09 2013 pterjan <pterjan> 1.6.8-4.mga4
+ Revision: 476504
- Fix file listing, all the gem is now installed

* Fri Feb 08 2013 umeabot <umeabot> 1.6.8-3.mga3
+ Revision: 395730
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.6.8-2.mga3
+ Revision: 380664
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 1.6.8-1.mga3
+ Revision: 312634
- new version 1.6.8

* Sun Feb 13 2011 shikamaru <shikamaru> 1.2.0-1.mga1
+ Revision: 51345
- imported package ruby-cancan


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 1.2.0-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.0-1mdv2011.0
+ Revision: 623048
- import rubygem-cancan

